icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

FCKeditor with PHPNuke < 2.3 Beta upload.php Arbitrary File Upload

Medium

Synopsis

The remote web server contains a PHP application that is affected by an arbitrary file upload vulnerability.

Description

The version of FCKeditor installed on the remote host allows an unauthenticated attacker to upload arbitrary files containing PHP code and then to execute them subject to the privileges of the web server user ID.

Solution

Either edit 'editor/filemanager/upload/php/config.php' to disable file uploads or upgrade to FCKeditor 2.3 Beta or higher.